﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Windows;
using Forum.ViewModel;
using Forum.View;

namespace Forum
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);

            // Inizializzo la View, normale classe che si genera con XAML
            MainWindow mainWindow = new MainWindow();

            // Inizializzo il ModelView
            MainWindowViewModel mainWindowView = new MainWindowViewModel();
            mainWindowView.RequestClose += delegate { mainWindow.Close(); };

            // Associo il ModelView alla View
            mainWindow.DataContext = mainWindowView;
            mainWindow.CloseCommand.Command = mainWindowView.CloseCommand;
            mainWindow.Show();
        }
    }
}
