﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Forum.Model;
using System.Windows.Shapes;
using System.IO;

namespace Forum.DataAccess
{
    public static class ForumManager
    {
        public static IEnumerable<ThreadPost> GetAllThreads()
        {
#if DEBUG
            //System.Threading.Thread.Sleep(5000);
#endif
            return from t in Enumerable.Range(1, 10)
                   select new ThreadPost
                   {
                       Posts = (from i in Enumerable.Range(1, 10)
                                select new Post
                                {
                                    Title = "Titolo " + t,
                                    Body = "Corpo del messaggio" + t,
                                    Author = "Autore" + t,
                                    CreationTime = DateTime.Now
                                }).ToList()
                   };
        }
    }
}
