﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Input;
using Forum.Model;
using Forum.Components;
using System.ComponentModel;

namespace Forum.ViewModel
{
    public class NewThreadPostViewModel : ThreadPostViewModel
    {

        private ThreadPost threadPost;

        public NewThreadPostViewModel(ThreadPost threadPost)
            : base(threadPost)
        {
            this.threadPost = threadPost;
        }

        internal ThreadPost InternalThreadPost
        {
            get { return this.threadPost; }
        }

        public bool CanSave
        {
            get { return String.IsNullOrEmpty(((IDataErrorInfo)this.FirstPost).Error); }
        }

    }
}
